Update group
curl --request PUT \
--url https://identity.nks.europe-west4.nscale.com/api/v1/organizations/{organizationID}/groups/{groupid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {
"name": "The-A-Team",
"description": "An elite commando unit."
},
"spec": {
"roleIDs": [
"64c46f16-43b1-495d-8ee3-040b8321050d"
],
"userIDs": [
"b0c0dc92-b123-410e-bad6-75a2265ca6e1"
],
"serviceAccountIDs": []
}
}
'import requests
url = "https://identity.nks.europe-west4.nscale.com/api/v1/organizations/{organizationID}/groups/{groupid}"
payload = {
"metadata": {
"name": "The-A-Team",
"description": "An elite commando unit."
},
"spec": {
"roleIDs": ["64c46f16-43b1-495d-8ee3-040b8321050d"],
"userIDs": ["b0c0dc92-b123-410e-bad6-75a2265ca6e1"],
"serviceAccountIDs": []
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metadata: {name: 'The-A-Team', description: 'An elite commando unit.'},
spec: {
roleIDs: ['64c46f16-43b1-495d-8ee3-040b8321050d'],
userIDs: ['b0c0dc92-b123-410e-bad6-75a2265ca6e1'],
serviceAccountIDs: []
}
})
};
fetch('https://identity.nks.europe-west4.nscale.com/api/v1/organizations/{organizationID}/groups/{groupid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "access_denied",
"error_description": "authentication failed"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges"
}{
"error": "not_found",
"error_description": "the requested resource does not exist"
}{
"error": "server_error",
"error_description": "failed to token claim"
}Groups
Update group
Allows a group to be updated.
PUT
/
api
/
v1
/
organizations
/
{organizationID}
/
groups
/
{groupid}
Update group
Authorizations
Operation requires OAuth 2.0 bearer token authentication.
Path Parameters
An organization ID.
A unique group ID.
Body
application/json
Body required to update a group.
Response
Group successfully updated and returned.
Was this page helpful?
⌘I